# Uses of Interface
org.eclipse.e4.ui.css.core.engine.CSSErrorHandler

Packages that use CSSErrorHandler
Package
Description
org.eclipse.e4.ui.css.core.engine
org.eclipse.e4.ui.css.core.impl.engine

## Uses of CSSErrorHandler in org.eclipse.e4.ui.css.core.engine

Methods in org.eclipse.e4.ui.css.core.engine that return CSSErrorHandler
Modifier and Type
Method
Description
`CSSErrorHandler`
CSSEngine.`getErrorHandler()`
Return `CSSErrorHandler` used to handles exception error.
Methods in org.eclipse.e4.ui.css.core.engine with parameters of type CSSErrorHandler
Modifier and Type
Method
Description
`void`
CSSEngine.`setErrorHandler(CSSErrorHandler errorHandler)`
Register the `CSSErrorHandler` used to handles exception error.

## Uses of CSSErrorHandler in org.eclipse.e4.ui.css.core.impl.engine

Classes in org.eclipse.e4.ui.css.core.impl.engine that implement CSSErrorHandler
Modifier and Type
Class
Description
`class`
`CSSErrorHandlerImpl`
Basic implementation for CSS Engine error handlers which print stack trace of the exception throwed.
Fields in org.eclipse.e4.ui.css.core.impl.engine declared as CSSErrorHandler
Modifier and Type
Field
Description
`static final CSSErrorHandler`
CSSErrorHandlerImpl.`INSTANCE`
Methods in org.eclipse.e4.ui.css.core.impl.engine that return CSSErrorHandler
Modifier and Type
Method
Description
`CSSErrorHandler`
CSSEngineImpl.`getErrorHandler()`
Methods in org.eclipse.e4.ui.css.core.impl.engine with parameters of type CSSErrorHandler
Modifier and Type
Method
Description
`void`
CSSEngineImpl.`setErrorHandler(CSSErrorHandler errorHandler)`
Set the CSS Error Handler to manage exception.